Bug 979391 - ERROR with rpm_check_debug vs depsolve
ERROR with rpm_check_debug vs depsolve
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum (Show other bugs)
6.6
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 08:00 EDT by Bruce
Modified: 2014-09-12 08:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-28 05:40:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruce 2013-06-28 08:00:01 EDT
Description of problem: cannot install java 1.7


Version-Release number of selected component (if applicable):


How reproducible: on this host - always


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

[root@ai-bcbbwwwprd01 20130627]# rpm -ivh java-1.7.0-openjdk-1.7.0.19-2.3.9.1.el6_4.x86_64.rpm
error: Failed dependencies:
        libjpeg.so.62(LIBJPEG_6.2)(64bit) is needed by java-1.7.0-openjdk-1:1.7.0.19-2.3.9.1.el6_4.x86_64
        xorg-x11-fonts-Type1 is needed by java-1.7.0-openjdk-1:1.7.0.19-2.3.9.1.el6_4.x86_64
[root@ai-bcbbwwwprd01 20130627]# locate libjpeg.so.62
/usr/lib64/libjpeg.so.62
/usr/lib64/libjpeg.so.62.0.0
[root@ai-bcbbwwwprd01 20130627]# ll /usr/lib64/libjpeg.so.62
lrwxrwxrwx. 1 root root 17 May  9  2011 /usr/lib64/libjpeg.so.62 -> libjpeg.so.62.0.0
[root@ai-bcbbwwwprd01 20130627]# ll /usr/lib64/libjpeg.so.62.0.0
-rwxr-xr-x 1 root root 149936 Jan 14  2010 /usr/lib64/libjpeg.so.62.0.0
[root@ai-bcbbwwwprd01 20130627]# yum provides /usr/lib64/libjpeg.so.62
Loaded plugins: downloadonly, refresh-packagekit, rhnplugin
libjpeg-6b-46.el6.x86_64 : A library for manipulating JPEG image format files
Repo        : installed
Matched from:
Other       : Provides-match: /usr/lib64/libjpeg.so.62



[root@ai-bcbbwwwprd01 20130627]# yum install xorg-x11-fonts-Type1
Loaded plugins: downloadonly, refresh-packagekit, rhnplugin
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package xorg-x11-fonts-Type1.noarch 0:7.2-9.1.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

============================================================================================================================================
 Package                                             Arch                                  Version                                     Repos
============================================================================================================================================
Installing:
 xorg-x11-fonts-Type1                                noarch                                7.2-9.1.el6                                 rhel-

Transaction Summary
============================================================================================================================================
Install       1 Package(s)

Total size: 519 k
Installed size: 0
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
mkfontdir is needed by xorg-x11-fonts-Type1-7.2-9.1.el6.noarch
mkfontdir is needed by xorg-x11-fonts-Type1-7.2-9.1.el6.noarch
ttmkfdir is needed by xorg-x11-fonts-Type1-7.2-9.1.el6.noarch
ttmkfdir is needed by xorg-x11-fonts-Type1-7.2-9.1.el6.noarch
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%206&component=yum
 You could try running: rpm -Va --nofiles --nodigest
Your transaction was saved, rerun it with: yum load-transaction /tmp/yum_save_tx-2013-06-28-07-50Ys4uSj.yumtx
[root@ai-bcbbwwwprd01 20130627]# rpm -Va --nofiles --nodigest
[root@ai-bcbbwwwprd01 20130627]# yum install xorg-x11-fonts-Type1
Loaded plugins: downloadonly, refresh-packagekit, rhnplugin
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package xorg-x11-fonts-Type1.noarch 0:7.2-9.1.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

============================================================================================================================================
 Package                                Arch                     Version                       Repository                              Size
============================================================================================================================================
Installing:
 xorg-x11-fonts-Type1                   noarch                   7.2-9.1.el6                   rhel-x86_64-server-6                   519 k

Transaction Summary
============================================================================================================================================
Install       1 Package(s)

Total size: 519 k
Installed size: 0
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
mkfontdir is needed by xorg-x11-fonts-Type1-7.2-9.1.el6.noarch
mkfontdir is needed by xorg-x11-fonts-Type1-7.2-9.1.el6.noarch
ttmkfdir is needed by xorg-x11-fonts-Type1-7.2-9.1.el6.noarch
ttmkfdir is needed by xorg-x11-fonts-Type1-7.2-9.1.el6.noarch
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%206&component=yum
 You could try running: rpm -Va --nofiles --nodigest
Your transaction was saved, rerun it with: yum load-transaction /tmp/yum_save_tx-2013-06-28-07-51XgshK4.yumtx
[root@ai-bcbbwwwprd01 20130627]# yum --version
3.2.29
  Installed: rpm-4.8.0-16.el6.x86_64 at 2011-06-07 13:39
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2011-03-09 06:32
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2011-03-09

  Installed: yum-3.2.29-17.el6.noarch at 2011-06-07 13:24
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2011-04-28 17:43
  Committed: James Antill <james.antill@redhat.com> at 2011-04-28
[root@ai-bcbbwwwprd01 20130627]#
Comment 2 James Antill 2014-03-24 11:13:22 EDT
 This looks like a bug in yum or rpm, about what they think needs to be installed. But given:

> Installed: yum-3.2.29-17.el6.noarch

...is the version we shipped in rhel-6.0, it's possible we've fixed this in the errata for rhel-6 already (or it's been fixed in rpm).
 If upgrading to the latest yum/rpm packages doesn't help, it'd be good to know:

1. What is the output of: yum provides mkfontdir

2. What is the output of: yum provides ttmkfdir

3. What happens if you specify the packages at the same time as xorg-x11-fonts-Type1.

4. What happens if you try: rpm --test -Uvh xorg-x11-fonts-Type1
Comment 3 Panu Matilainen 2014-03-25 03:31:26 EDT
5. What happens if you run: 'rpm --rebuilddb' and then retry? (this looks like it could be rpmdb indexes having gotten out of sync)
Comment 4 Valentina Mukhamedzhanova 2014-04-28 05:40:08 EDT
Closing, because we can't help unless the requested information is provided.
Comment 5 Bruce 2014-09-12 08:17:27 EDT
java has been installed and is working fine.

# rpm --test -Uvh xorg-x11-fonts-Type1
error: open of xorg-x11-fonts-Type1 failed: No such file or directory
# rpm -q xorg-x11-fonts-Type1
xorg-x11-fonts-Type1-7.2-9.1.el6.noarch

Note You need to log in before you can comment on or make changes to this bug.